Bug 166725 - prepare-ChangeLog: Correct help string for --style option
Summary: prepare-ChangeLog: Correct help string for --style option
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-05 05:44 PST by Milan Crha
Modified: 2017-01-09 09:42 PST (History)
4 users (show)

See Also:


Attachments
proposed patch (955 bytes, patch)
2017-01-05 05:47 PST, Milan Crha
ap: review-
ap: commit-queue-
Details | Formatted Diff | Diff
proposed patch ][ (1.82 KB, patch)
2017-01-09 08:24 PST, Milan Crha
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Crha 2017-01-05 05:44:30 PST
Running:
   $ ./Tools/Scripts/prepare-ChangeLog --help
claims:

   --[no-]style    Run check-webkit-style script when done (default: style)

but this is not true, because if I do not use the --style argument, then the coding style is not checked.
Comment 1 Milan Crha 2017-01-05 05:47:02 PST
Created attachment 298096 [details]
proposed patch

The variable was not initialized, which this one-liner does.
Comment 2 Alexey Proskuryakov 2017-01-05 12:41:26 PST
Comment on attachment 298096 [details]
proposed patch

This is intentional behavior, implemented in bug 132209.
Comment 3 Alexey Proskuryakov 2017-01-05 12:42:50 PST
The help text is wrong though, good catch!
Comment 4 Milan Crha 2017-01-06 00:31:56 PST
Right, in that case the help text should be fixed. Thanks.
Comment 5 Milan Crha 2017-01-09 08:24:40 PST
Created attachment 298359 [details]
proposed patch ][
Comment 6 Alexey Proskuryakov 2017-01-09 09:17:30 PST
Comment on attachment 298359 [details]
proposed patch ][

r=me

Thank you!
Comment 7 WebKit Commit Bot 2017-01-09 09:42:27 PST
Comment on attachment 298359 [details]
proposed patch ][

Clearing flags on attachment: 298359

Committed r210512: <http://trac.webkit.org/changeset/210512>
Comment 8 WebKit Commit Bot 2017-01-09 09:42:31 PST
All reviewed patches have been landed.  Closing bug.